## whois 5.0.15ubuntu2

=== debian/changelog ===
whois (5.0.15ubuntu2) precise; urgency=low

  * d/control: Add necessary Pre-Depends for xz binaries.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 06 Mar 2012 15:14:00 -0800

whois (5.0.15ubuntu1) precise; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      + Note: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 06 Mar 2012 12:38:16 -0800

whois (5.0.14ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      + Note: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 29 Dec 2011 04:15:47 +0000

whois (5.0.12ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      + Note: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 22 Oct 2011 07:43:54 +0000

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5), gettext, libidn11-dev

Package: whois
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: mkpasswd
Conflicts: mkpasswd
Description: intelligent WHOIS client
 This package provides a commandline client for the WHOIS (RFC 3912)
 protocol, which queries online servers for information such as contact
 details for domains and IP address assignments.
 It can intelligently select the appropriate WHOIS server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to the
 password encryption function crypt(3).

## whois 5.0.16

=== debian/changelog ===
whois (5.0.16) unstable; urgency=medium

  * Added the .xn--80ao21a (.ҚАЗ, Kazakhstan) TLD server.
  * Updated the .ec and .ee TLD servers.
  * Removed the .xn--mgbc0a9azcg (.المغرب, Morocco) and .xn--mgberp4a5d4ar 
    (.السعودية, Saudi Arabia) TLD servers.
  * Added a new ASN allocation.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Mon, 30 Apr 2012 05:44:07 +0200

## whois 5.0.17

=== debian/changelog ===
whois (5.0.17) unstable; urgency=medium

  * Updated the .bi, .fo, .gr and .gt TLD servers.
  * Changed the version check in debian/rules to support Ubuntu backports.
    (Closes: #671097)
  * Removed support for recursion of .org queries, it has been a thick
    registry since 2005. (Closes: #678734)

 -- Marco d'Itri <md@linux.it>  Mon, 25 Jun 2012 03:34:36 +0200

## whois 5.0.18

=== debian/changelog ===
whois (5.0.18) unstable; urgency=low

  * Updated the .ae and .xn--mgbaam7a8h (.امارات, United Arabs Emirates)
    TLDs.
  * Updated the server charset table for .fr and .it.

 -- Marco d'Itri <md@linux.it>  Sun, 22 Jul 2012 20:35:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/whois

VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')

build:
	dh_testdir
	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_LIBIDN=1 HAVE_ICONV=1
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) distclean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_clean

	# sanity check
	egrep -q '^#define VERSION "$(VERSION)"$$' config.h

	dh_installdirs usr/bin
	$(MAKE) install BASEDIR=$D
	dh_installman whois.1 mkpasswd.1
	dh_installdocs README
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-arch

binary-indep:

build-arch: build
build-indep: build

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean checkroot

## whois 5.0.19

=== debian/changelog ===
whois (5.0.19) unstable; urgency=low

  * Added the .post TLD server.
  * Updated the .co.za SLD servers. (Closes: #687094)
  * Added the .alt.za, .net.za and .web.za SLD servers.
  * whois.ua changed (?) the encoding to utf-8. (Closes: #686715)
  * Fixed the parsing of 6to4 addresses like whois 2002:xxxx::. (LP#967311)
  * Modified the package version check in debian/rules to help Ubuntu
    maintainers. (Closes: #684526)

 -- Marco d'Itri <md@linux.it>  Mon, 17 Sep 2012 21:41:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 D := $(CURDIR)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/~*ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.0.20

=== debian/changelog ===
whois (5.0.20) unstable; urgency=low

  * Updated the .by, .ng, .om, .sm, .tn, .ug and .vn TLD servers.
    (Closes: #689486)
  * Added the .bw, .td, .xn--mgb9awbf (عمان., Oman), .xn--mgberp4a5d4ar 
    (.السعودية, Saudi Arabia) and .xn--mgbx4cd0ab (ﻢﻠﻴﺴﻳﺍ., Malaysia)
    TLD servers.
  * Removed the .kp, .mc, .rw and .xn--mgba3a4f16a (ایران., Iran) TLD servers.

 -- Marco d'Itri <md@linux.it>  Sun, 07 Oct 2012 01:25:05 +0200

## whois 5.0.20ubuntu1

=== Makefile ===
prefix = /usr

CFLAGS ?= -g -O2

PERL = perl
INSTALL = install

whois_OBJECTS := whois.o utils.o
mkpasswd_OBJECTS := mkpasswd.o utils.o

##############################################################################
# Solaris
#whois_LDADD += -lnsl -lsocket -liconv

# FreeBSD
#whois_LDADD += -liconv
#LIBS += -L/usr/local/lib -lintl
#INCLUDES += -I/usr/local/include

# OS/2 EMX
#whois_LDADD += -lsocket
#LDFLAGS += -Zexe -Dstrncasecmp=strnicmp

# OS X
#whois_LDADD += -liconv

ifdef CONFIG_FILE
DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
endif

ifdef LOCALEDIR
DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
endif

ifdef HAVE_LIBIDN
whois_LDADD += -lidn
DEFS += -DHAVE_LIBIDN
endif

ifdef HAVE_ICONV
whois_OBJECTS += simple_recode.o
DEFS += -DHAVE_ICONV
endif

ifdef HAVE_XCRYPT
mkpasswd_LDADD += -lxcrypt
DEFS += -DHAVE_XCRYPT -DHAVE_LINUX_CRYPT_GENSALT
else
ifdef HAVE_LINUX_CRYPT_GENSALT
# owl and openSUSE have crypt_gensalt(3) in the libc's libcrypt
DEFS += -DHAVE_LINUX_CRYPT_GENSALT
endif
mkpasswd_LDADD += -lcrypt
endif

CPPFLAGS += $(DEFS) $(INCLUDES)

##############################################################################
all: Makefile.depend whois mkpasswd pos

##############################################################################
%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

whois: $(whois_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(whois_LDADD) $(LIBS)

mkpasswd: $(mkpasswd_OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(mkpasswd_LDADD) $(LIBS)

##############################################################################
as_del.h: as_del_list make_as_del.pl
	$(PERL) -w make_as_del.pl < $< > $@

as32_del.h: as32_del_list make_as32_del.pl
	$(PERL) -w make_as32_del.pl < $< > $@

ip_del.h: ip_del_list make_ip_del.pl
	$(PERL) -w make_ip_del.pl < $< > $@

ip6_del.h: ip6_del_list make_ip6_del.pl
	$(PERL) -w make_ip6_del.pl < $< > $@

tld_serv.h: tld_serv_list make_tld_serv.pl
	$(PERL) -w make_tld_serv.pl < $< > $@

servers_charset.h: servers_charset_list make_servers_charset.pl
	$(PERL) -w make_servers_charset.pl < $< > $@

##############################################################################
install: install-whois install-mkpasswd install-pos

install-whois: whois
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0755 whois $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/

install-mkpasswd: mkpasswd
	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
	$(INSTALL) -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
	$(INSTALL) -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/

install-pos:
	cd po && $(MAKE) install

distclean: clean
	rm -f po/whois.pot

clean:
	rm -f Makefile.depend as_del.h as32_del.h ip_del.h ip6_del.h \
		tld_serv.h servers_charset.h *.o whois mkpasswd
	rm -f po/*.mo

pos:
	cd po && $(MAKE)

depend: Makefile.depend
Makefile.depend:
	$(CC) $(CPPFLAGS) $(CFLAGS) -MM -MG *.c > $@

-include Makefile.depend

=== debian/changelog ===
whois (5.0.20ubuntu1) raring; urgency=low

  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Dec 2012 23:51:31 -0700

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,7 @@
 
 Package: whois
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: mkpasswd
-Conflicts: mkpasswd
 Description: intelligent WHOIS client
  This package provides a commandline client for the WHOIS (RFC 3912)
  protocol, which queries online servers for information such as contact

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,14 @@
 #!/usr/bin/make -f
 SHELL+= -e
+
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+  export CC = $(DEB_HOST_GNU_TYPE)-gcc
+else
+  export CC = gcc
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk

## whois 5.0.22

=== debian/changelog ===
whois (5.0.22) unstable; urgency=low

  * Fixed cross-compiling, this time for real. (See #695442.)

 -- Marco d'Itri <md@linux.it>  Sun, 31 Mar 2013 22:17:29 +0200

whois (5.0.21) unstable; urgency=low

  * Fixed parsing of 6to4 addresses: the last two bytes of the IPv4 address
    in 6to4 addresses were not parsed correctly since version 5.0.19.
    (Closes: #699928)
  * Added the .xn--j1amh (.укр, Ukraine) TLD server.
  * Updated the .bi, .se and .vn TLD servers. (Closes: #697753)
  * Removed whois.pandi.or.id from the list of servers which support the 
    RIPE extensions, since it does not anymore and queries are broken.
    (Closes: #704115)
  * Updated some disclaimer suppression strings.
  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.
    (Closes: #695442)

 -- Marco d'Itri <md@linux.it>  Sun, 31 Mar 2013 19:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.3
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois

## whois 5.0.23

=== debian/changelog ===
whois (5.0.23) unstable; urgency=medium

  * whois.nic.or.kr switched from EUC-KR to UTF-8. (LP#1132526)

 -- Marco d'Itri <md@linux.it>  Mon, 08 Apr 2013 06:14:14 +0200

## whois 5.0.24

=== debian/changelog ===
whois (5.0.24) unstable; urgency=low

  * Merged documentation fixes and the whois.conf(5) man page, courtesy of
    Petr Písař of Red Hat.
  * Added a new ASN allocation.
  * Updated one or more translations. (Closes: #705163)

 -- Marco d'Itri <md@linux.it>  Thu, 18 Apr 2013 03:36:17 +0200

## whois 5.0.25

=== debian/changelog ===
whois (5.0.25) unstable; urgency=low

  * Added the .ax, .bn, .iq, .pw and .rw TLD servers.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Fri, 10 May 2013 05:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
+Vcs-Git: git://github.com/rfc1036/whois.git
+Vcs-Browser: https://github.com/rfc1036/whois
 
 Package: whois
 Architecture: any

## whois 5.0.26

=== debian/changelog ===
whois (5.0.26) unstable; urgency=low

  * Added the .cf TLD server.
  * Updated the .bi TLD server.
  * Added a new ASN allocation.

 -- Marco d'Itri <md@linux.it>  Wed, 17 Jul 2013 00:48:12 +0200

## whois 5.1.0

=== debian/changelog ===
whois (5.1.0) unstable; urgency=low

  * Added the .ga, .ml, .pf, .xn--l1acc (.МОН, Mongolia) and
    .xn--mgba3a4f16a (.ﺍیﺭﺎﻧ, Iran) TLD servers.
  * Added the servers for 54 "new" gTLDs.
  * Updated the .bw, .gd, .hn, .sb, .xn--j1amh and .xn--mgberp4a5d4ar
    TLD servers.
  * Added new RIPE and APNIC ASN allocations.
  * Removed the .ck TLD server.
  * Updated one or more translations.
  * Applied multiple small fixes contributed by Petr Písař of Red Hat.
  * Correctly hide the disclaimers for .be and .sx. (Closes: #729366)
  * Direct queries for private ASN blocks to RIPE. (Closes: #724661)

 -- Marco d'Itri <md@linux.it>  Thu, 26 Dec 2013 10:05:43 +0100

## whois 5.1.1~deb7u1

=== debian/changelog ===
whois (5.1.1~deb7u1) proposed-updates; urgency=low

  * Rebuilt for wheezy.

 -- Marco d'Itri <md@linux.it>  Sat, 11 Jan 2014 03:16:43 +0100

whois (5.1.1) unstable; urgency=medium

  * Added the servers for 29 "new" gTLDs.

 -- Marco d'Itri <md@linux.it>  Sat, 11 Jan 2014 00:51:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,11 @@
 #!/usr/bin/make -f
 SHELL+= -e
 
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-  export CC = $(DEB_HOST_GNU_TYPE)-gcc
-else
-  export CC = gcc
+  export CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -15,7 +13,7 @@
 
 D := $(CURDIR)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/~*ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -rn 's/(~deb|~?ubuntu)[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.1.1

=== Makefile ===
--- 
+++ 
@@ -93,8 +93,10 @@
 install-whois: whois
 	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
 	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man5/
 	$(INSTALL) -m 0755 whois $(BASEDIR)$(prefix)/bin/
 	$(INSTALL) -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -m 0644 whois.conf.5 $(BASEDIR)$(prefix)/share/man/man5/
 
 install-mkpasswd: mkpasswd
 	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/

=== po/Makefile ===
prefix = /usr

INSTALL= install

INSTALLNLSDIR=$(BASEDIR)$(prefix)/share/locale

PACKAGE = whois

CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo zh_CN.mo

POTFILES=../whois.c ../mkpasswd.c

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	  rm -f $(PACKAGE).po; \
	else \
	  mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

update-po: $(PACKAGE).pot
	for cat in $(CATALOGS); do \
	  lang=`echo $$cat | sed 's/.mo$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if msgmerge $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
    	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; mv $$lang.old.po $$lang.po; \
	  fi; \
	done

%.mo: %.po
	msgfmt --statistics --check --verbose --output-file=$@ $<

clean:
	rm -f *.mo

distclean: clean
	rm -f whois.pot

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 D := $(CURDIR)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -rn 's/(~deb|~?ubuntu)[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/~*ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.1.2

=== debian/changelog ===
whois (5.1.2) unstable; urgency=medium

  * Always query whois.nic.$TLD for the "new" gTLDs, because the ICANN
    contract requires that it works.
  * Added the .aw and .zm TLD servers.
  * Updated the .mk, .tc and .vu TLD servers.
  * Added more ASN entries for Japan and Korea.
  * Fixed some invalid ASN and networks entries which would never be
    matched, reported by Henry Stern.
  * mkpasswd ported to Solaris/Dyson, patch courtesy of Igor Pashev.

 -- Marco d'Itri <md@linux.it>  Fri, 02 May 2014 04:15:08 +0200

## whois 5.1.3

=== Makefile ===
--- 
+++ 
@@ -69,23 +69,29 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(mkpasswd_LDADD) $(LIBS)
 
 ##############################################################################
+version.h: debian/changelog make_version_h.pl
+	$(PERL) make_version_h.pl $< > $@
+
 as_del.h: as_del_list make_as_del.pl
-	$(PERL) -w make_as_del.pl < $< > $@
+	$(PERL) make_as_del.pl < $< > $@
 
 as32_del.h: as32_del_list make_as32_del.pl
-	$(PERL) -w make_as32_del.pl < $< > $@
+	$(PERL) make_as32_del.pl < $< > $@
 
 ip_del.h: ip_del_list make_ip_del.pl
-	$(PERL) -w make_ip_del.pl < $< > $@
+	$(PERL) make_ip_del.pl < $< > $@
 
 ip6_del.h: ip6_del_list make_ip6_del.pl
-	$(PERL) -w make_ip6_del.pl < $< > $@
+	$(PERL) make_ip6_del.pl < $< > $@
+
+new_gtlds.h: new_gtlds_list make_new_gtlds.pl
+	$(PERL) make_new_gtlds.pl < $< > $@
 
 tld_serv.h: tld_serv_list make_tld_serv.pl
-	$(PERL) -w make_tld_serv.pl < $< > $@
+	$(PERL) make_tld_serv.pl < $< > $@
 
 servers_charset.h: servers_charset_list make_servers_charset.pl
-	$(PERL) -w make_servers_charset.pl < $< > $@
+	$(PERL) make_servers_charset.pl < $< > $@
 
 ##############################################################################
 install: install-whois install-mkpasswd install-pos
@@ -123,3 +129,5 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) -MM -MG *.c > $@
 
 -include Makefile.depend
+
+.DELETE_ON_ERROR:

=== debian/changelog ===
whois (5.1.3) unstable; urgency=medium

  * Use the IANA recovered address space list.
  * Updated the list of new gTLDs.
  * Support hiding disclaimers until the end of the output.
  * Fix a disclaimer hiding string. (Closes: #748363)

 -- Marco d'Itri <md@linux.it>  Mon, 26 May 2014 04:19:41 +0200

## whois 5.1.4

=== debian/changelog ===
whois (5.1.4) unstable; urgency=medium

  * Added the charset for whois.lacnic.net.
  * Updated the list of new gTLDs.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Mon, 30 Jun 2014 04:22:21 +0200

## whois 5.1.5

=== debian/changelog ===
whois (5.1.5) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Added some disclaimer suppression strings for the new gTLDs' servers.
  * Updated one or more translations. (Closes: #756231)

 -- Marco d'Itri <md@linux.it>  Sat, 02 Aug 2014 03:41:44 +0200

## whois 5.2.0

=== debian/changelog ===
whois (5.2.0) unstable; urgency=medium

  * Implemented support for the long RIPE flags.
  * "Fixed" some harmless bugs discovered with a Coverity scan.
  * Default to whois.ripe.net when using long flags.
  * Updated the list of new gTLDs.
  * Added a new ASN allocation.
  * Added new recovered IPv4 allocations.
  * Updated make_version_h.pl to support Debian binNMUs. (Closes: #761318)

 -- Marco d'Itri <md@linux.it>  Sat, 13 Sep 2014 05:05:16 +0200

## whois 5.2.1

=== debian/changelog ===
whois (5.2.1) unstable; urgency=medium

  * Added the .aw and .zm TLD servers.
  * Added the charset for whois.domain.kg.
  * Updated the list of new gTLDs.
  * Queries for bare TLDs will be directed to whois.iana.org.
    (Closes: #763833)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Oct 2014 02:01:20 +0200

## whois 5.2.2

=== Makefile ===
--- 
+++ 
@@ -87,6 +87,9 @@
 new_gtlds.h: new_gtlds_list make_new_gtlds.pl
 	$(PERL) make_new_gtlds.pl < $< > $@
 
+nic_handles.h: nic_handles_list make_nic_handles.pl
+	$(PERL) make_nic_handles.pl < $< > $@
+
 tld_serv.h: tld_serv_list make_tld_serv.pl
 	$(PERL) make_tld_serv.pl < $< > $@

=== debian/changelog ===
whois (5.2.2) unstable; urgency=medium

  * Fixed the code that removes trailing dots. (Closes: #763834)
  * Added the .xn--d1alf (.мкд, Macedonia) and .xn--node (.გე, Georgia)
    TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Thu, 06 Nov 2014 03:47:43 +0100

## whois 5.2.3

=== debian/changelog ===
whois (5.2.3) unstable; urgency=medium

  * Added the .gw TLD server.
  * Updated the .bm, .gr, .gt, .md, .np, .py, .tc, .tg, .vi, .net.za,
    .org.za and .web.za TLD servers. (Closes: #773489)
  * Removed the .cg TLD server.
  * Updated the list of new gTLDs.
  * mkpasswd: use arc4random_buf(3) where available.
  * mkpasswd: support OpenBSD's new hash 2b.
  * Updated some IPv4 allocations.
  * Remove the new_gtlds.h generated file from the Debian source package.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Dec 2014 20:12:24 +0100

## whois 5.2.4

=== debian/changelog ===
whois (5.2.4) unstable; urgency=medium

  * Fixed referrals handling for the .cc, .tv a .jobs TLDs.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 25 Jan 2015 04:07:20 +0100

## whois 5.2.5

=== debian/changelog ===
whois (5.2.5) unstable; urgency=medium

  * Added the .xn--90ais (.бел, Belarus) TLD server.
  * Updated the .ky TLD server.
  * Updated the list of new gTLDs.
  * Added new recovered IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Tue, 03 Mar 2015 02:15:57 +0100

## whois 5.2.7~bpo70+1

=== debian/changelog ===
whois (5.2.7~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Marco d'Itri <md@linux.it>  Fri, 24 Apr 2015 16:02:40 +0200

whois (5.2.7) unstable; urgency=medium

  * Removed a bogus disclaimer detection string.
  * Updated the list of new gTLDs

 -- Marco d'Itri <md@linux.it>  Wed, 25 Mar 2015 23:04:44 +0100

whois (5.2.6) unstable; urgency=medium

  * Added the .edu.ph TLD server.
  * Removed the .gov.py TLD server. (Closes: #780562)
  * Updated the list of new gTLDs.
  * Implemented hiding multiple disclaimers blocks to improve detection.
  * Updated the disclaimer detection strings.

 -- Marco d'Itri <md@linux.it>  Mon, 23 Mar 2015 04:28:39 +0100

whois (5.2.3~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Marco d'Itri <md@linux.it>  Fri, 09 Jan 2015 03:50:55 +0100

whois (5.1.5~bpo70+1) wheezy-backports; urgency=medium

  * Rebuilt for wheezy.

 -- Marco d'Itri <md@linux.it>  Sat, 02 Aug 2014 03:48:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 D := $(CURDIR)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/~*ubuntu[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -rn 's/(~deb|~?ubuntu)[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir
@@ -29,9 +29,6 @@
 binary-arch: checkroot build
 	dh_testdir
 	dh_clean
-
-	# sanity check
-	egrep -q '^#define VERSION "$(VERSION)"$$' config.h
 
 	dh_installdirs usr/bin
 	$(MAKE) install BASEDIR=$D

## whois 5.2.7

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 -include /usr/share/dpkg/buildflags.mk
 
 D := $(CURDIR)/debian/whois
-
-VERSION := $(shell dpkg-parsechangelog | sed -rn 's/(~deb|~?ubuntu)[0-9]*.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.2.8

=== debian/changelog ===
whois (5.2.8) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Added new ASN allocations.
  * Added the .xn--y9a3aq (.հայ, Armenia) TLD server.

 -- Marco d'Itri <md@linux.it>  Mon, 18 May 2015 00:37:32 +0200

## whois 5.2.11

=== Makefile ===
--- 
+++ 
@@ -121,7 +121,7 @@
 
 clean:
 	rm -f Makefile.depend as_del.h as32_del.h ip_del.h ip6_del.h \
-		tld_serv.h servers_charset.h *.o whois mkpasswd
+		new_gtlds.h tld_serv.h servers_charset.h *.o whois mkpasswd
 	rm -f po/*.mo
 
 pos:

=== debian/changelog ===
whois (5.2.11) unstable; urgency=medium

  * Fixed the --select-types and --sources long options.
  * Updated the list of new gTLDs.
  * Removed the .an TLD.
  * Removed the .xn--l1acc (.МОН, Mongolia) TLD server.
  * Added the .xn--mgbtx2b (عراق, Iraq) and .xn--qxam (.ΕΛ, Greece) TLD
    servers.

 -- Marco d'Itri <md@linux.it>  Tue, 08 Dec 2015 07:43:48 +0100

whois (5.2.10) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Updated the .ki and .vg TLD servers.

 -- Marco d'Itri <md@linux.it>  Thu, 30 Jul 2015 03:26:56 +0200

whois (5.2.9) unstable; urgency=medium

  * Updated the list of new gTLDs.
  * Updated the .bn and .cr TLD servers.
  * Updated IDSTRING to 5.2.

 -- Marco d'Itri <md@linux.it>  Mon, 08 Jun 2015 02:18:47 +0200

## whois 5.2.12

=== Makefile ===
--- 
+++ 
@@ -97,6 +97,19 @@
 	$(PERL) make_servers_charset.pl < $< > $@
 
 ##############################################################################
+afl:
+	$(MAKE) whois \
+		CC=afl-gcc AFL_HARDEN=1 \
+		HAVE_LIBIDN=1 HAVE_ICONV=1 DEFS=-DAFL_MODE=1
+
+afl2:
+	$(MAKE) whois \
+		HAVE_LIBIDN=1 HAVE_ICONV=1 DEFS=-DAFL_MODE=1
+
+afl-run:
+	nice afl-fuzz -i ../afl_in -o ../afl_out -- ./whois
+
+##############################################################################
 install: install-whois install-mkpasswd install-pos
 
 install-whois: whois

=== debian/changelog ===
whois (5.2.12) unstable; urgency=medium

  * Implemented support for fuzzing with the awesome american fuzzy lop.
  * Added the .xn--e1a4c (ею, European Union) and .xn--mix891f (澳門,
    Macao) TLD servers.
  * Updated the .jobs, .kn and .pro TLD servers.
  * Updated the .gi, .lc, .sc and .vc TLD servers, because the precedent
    data caused the program to return an error status.
  * Updated the list of new gTLDs.
  * Fixed the code which queries whois.iana.org for TLDs to recognize IDN
    TLDs too.

 -- Marco d'Itri <md@linux.it>  Tue, 29 Mar 2016 05:33:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.2.14

=== debian/changelog ===
whois (5.2.14) unstable; urgency=medium

  * Updated the .ar, .bm and .fm TLD servers.
  * Updated the Afilias hiding string to fix hiding for the new .bm server.

 -- Marco d'Itri <md@linux.it>  Thu, 29 Dec 2016 23:12:19 +0100

whois (5.2.13) unstable; urgency=medium

  * Use "domain" instead of "=" for default verisign-grs queries,
    to ignore the name server names spam.
  * Fixed make_ip_del_recovered.pl, which generated non-functioning data.
  * Added the .xn--90ae (бг, Bulgaria) TLD server.
  * Updated the .bd, .jobs and .mobi TLD servers.
  * Added new ASN allocations.
  * Added new recovered IPv4 allocations.
  * Updated the crsnic.net hiding string to fix hiding for .bi.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Oct 2016 17:08:07 +0100

## whois 5.2.15

=== debian/changelog ===
whois (5.2.15) unstable; urgency=medium

  * Updated the .gf and .mq TLD servers.
  * Updated the list of new gTLDs.
  * Updated the charset for whois.nic.kz.
  * Fixed multiple portability issues on non-Linux platforms.
  * Fixed a lot of minor compiler warnings with no practical effects.
  * Added support for libidn2, not enabled yet.

 -- Marco d'Itri <md@linux.it>  Mon, 27 Feb 2017 00:37:41 +0100

## whois 5.2.16

=== debian/changelog ===
whois (5.2.16) unstable; urgency=medium

  * Fixed parsing of 6to4 addresses broken in 5.2.15.
  * Updated the .do TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Mon, 13 Mar 2017 01:40:38 +0100

## whois 5.2.17~deb9u1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # FreeBSD
 #whois_LDADD += -liconv
 #LIBS += -L/usr/local/lib -lintl
-#INCLUDES += -I/usr/local/include
+#DEFS += -I/usr/local/include
 
 # OS/2 EMX
 #whois_LDADD += -lsocket
@@ -32,9 +32,14 @@
 DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
 endif
 
+ifdef HAVE_LIBIDN2
+whois_LDADD += -lidn2
+DEFS += -DHAVE_LIBIDN2
+else
 ifdef HAVE_LIBIDN
 whois_LDADD += -lidn
 DEFS += -DHAVE_LIBIDN
+endif
 endif
 
 ifdef HAVE_ICONV

=== debian/changelog ===
whois (5.2.17~deb9u1) stretch; urgency=high

  * Rebuilt for stretch. (Closes: #869920)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jul 2017 17:45:04 +0200

whois (5.2.17) unstable; urgency=high

  * Fixed whois referrals for .com, .net, .jobs, .bz, .cc and .tv, broken
    by an ICANN-mandated output change:
    https://www.icann.org/resources/pages/rdds-labeling-policy-2017-02-01-en
  * Added the .xn--2scrj9c (ಭಾರತ, India), .xn--3hcrj9c (ଭାରତ, India),
    .xn--45br5cyl (ভাৰত, India), .xn--h2breg3eve (भारतम्, India),
    .xn--h2brj9c8c (भारोत, India), .xn--mgbbh1a (ﺏﺍﺮﺗ, India),
    .xn--mgbgu82a (ڀﺍﺮﺗ, India) and .xn--rvc1e0am3e (ഭാരതം, India)
    TLD servers.
  * Updated the list of new gTLDs.
  * whois.1: fixed a typo. (Closes: #866742)

 -- Marco d'Itri <md@linux.it>  Thu, 27 Jul 2017 17:08:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.2.18

=== Makefile ===
--- 
+++ 
@@ -32,14 +32,12 @@
 DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
 endif
 
-ifdef HAVE_LIBIDN2
-whois_LDADD += -lidn2
-DEFS += -DHAVE_LIBIDN2
-else
-ifdef HAVE_LIBIDN
-whois_LDADD += -lidn
-DEFS += -DHAVE_LIBIDN
-endif
+ifeq ($(shell pkg-config --exists 'libidn2 >= 2.0.3' || echo NO),)
+whois_LDADD += $(shell pkg-config --libs libidn2)
+DEFS += -DHAVE_LIBIDN2 $(shell pkg-config --cflags libidn2)
+else ifeq ($(shell pkg-config --exists 'libidn' || echo NO),)
+whois_LDADD += $(shell pkg-config --libs libidn)
+DEFS += -DHAVE_LIBIDN $(shell pkg-config --cflags libidn)
 endif
 
 ifdef HAVE_ICONV

=== debian/changelog ===
whois (5.2.18) unstable; urgency=medium

  * Fixed an unitialised variable which used to break querying the
    Verisign registry servers with parameters.
  * Do not request domains only when querying the Verisign registry
    servers for a hostname.
  * Fixed the program return code for queries like
    "nameserver name.example.com".

 -- Marco d'Itri <md@linux.it>  Tue, 22 Aug 2017 16:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.2.19

=== debian/changelog ===
whois (5.2.19) unstable; urgency=medium

  * Switched do libidn2.
  * Adopted getentropy(2) for mkpasswd on recent Linux.
  * Updated the .id and .museum TLD servers.
  * Removed the .dj TLD server.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Dec 2017 17:16:58 +0100

## whois 5.2.20

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 CFLAGS ?= -g -O2
 
-PERL = perl
-INSTALL = install
+PKG_CONFIG ?= pkg-config
+PERL ?= perl
+INSTALL ?= install
 
 whois_OBJECTS := whois.o utils.o
 mkpasswd_OBJECTS := mkpasswd.o utils.o
@@ -32,12 +33,12 @@
 DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
 endif
 
-ifeq ($(shell pkg-config --exists 'libidn2 >= 2.0.3' || echo NO),)
-whois_LDADD += $(shell pkg-config --libs libidn2)
-DEFS += -DHAVE_LIBIDN2 $(shell pkg-config --cflags libidn2)
-else ifeq ($(shell pkg-config --exists 'libidn' || echo NO),)
-whois_LDADD += $(shell pkg-config --libs libidn)
-DEFS += -DHAVE_LIBIDN $(shell pkg-config --cflags libidn)
+ifeq ($(shell $(PKG_CONFIG) --exists 'libidn2 >= 2.0.3' || echo NO),)
+whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn2)
+DEFS += -DHAVE_LIBIDN2 $(shell $(PKG_CONFIG) --cflags libidn2)
+else ifeq ($(shell $(PKG_CONFIG) --exists 'libidn' || echo NO),)
+whois_LDADD += $(shell $(PKG_CONFIG) --libs libidn)
+DEFS += -DHAVE_LIBIDN $(shell $(PKG_CONFIG) --cflags libidn)
 endif
 
 ifdef HAVE_ICONV

=== debian/changelog ===
whois (5.2.20) unstable; urgency=medium

  * Added the .mr TLD server.
  * Removed the .bs TLD server.
  * Updated the .ai, .gh, .gr, .kw, .ls, .ph, .sb, .com.uy and .vn TLD
    servers.

 -- Marco d'Itri <md@linux.it>  Wed, 27 Dec 2017 03:15:27 +0100

## whois 5.3.0

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,11 @@
 
 ifdef LOCALEDIR
 DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
+endif
+
+# libidn support has been autodetected since 5.2.18
+ifdef HAVE_LIBIDN
+$(error Please fix your build system to stop defining HAVE_LIBIDN!)
 endif
 
 ifeq ($(shell $(PKG_CONFIG) --exists 'libidn2 >= 2.0.3' || echo NO),)
@@ -102,13 +107,8 @@
 
 ##############################################################################
 afl:
-	$(MAKE) whois \
-		CC=afl-gcc AFL_HARDEN=1 \
-		HAVE_LIBIDN=1 HAVE_ICONV=1 DEFS=-DAFL_MODE=1
-
-afl2:
-	$(MAKE) whois \
-		HAVE_LIBIDN=1 HAVE_ICONV=1 DEFS=-DAFL_MODE=1
+	-rm -f Makefile.depend
+	DEFS=-DAFL_MODE=1 AFL_HARDEN=1 $(MAKE) whois CC=afl-gcc HAVE_ICONV=1
 
 afl-run:
 	nice afl-fuzz -i ../afl_in -o ../afl_out -- ./whois

=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 PACKAGE = whois
 
-CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo zh_CN.mo
+CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo nb.mo pl.mo pt_BR.mo ru.mo zh_CN.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (5.3.0) unstable; urgency=medium

  * Implemented querying for ip6.arpa domains.
  * Updated the .pr TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 21 Jan 2018 01:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 5), gettext, libidn11-dev
+Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 9), gettext, libidn2-dev (>= 2.0.3)
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.3.1

=== debian/changelog ===
whois (5.3.1) unstable; urgency=medium

  * mkpasswd: support passwords of arbitrary length. (Closes: #899254)
  * Added the .ls TLD server. (Closes: #896452)
  * Added support for -bzh and -uanic NIC handles.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Tue, 22 May 2018 15:32:28 +0200

## whois 5.3.2

=== debian/changelog ===
whois (5.3.2) unstable; urgency=medium

  * Added the .ge TLD server.
  * Updated the charset for whois.nic.cl. (Closes: #900047)
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jul 2018 12:38:42 +0200

## whois 5.4.1

=== debian/changelog ===
whois (5.4.1) unstable; urgency=medium

  * Added the .mw TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Jan 2019 04:48:53 +0100

whois (5.4.0) unstable; urgency=medium

  * Added support for the new libxcrypt 4.x.
    This allows mkpasswd to support many modern password hash methods.
  * Renamed the hash types (i.e. the arguments to -H) to use the naming 
    convention established by John the Ripper.
  * Made mkpasswd use entropy gathered by crypt_gensalt(3), when available.
  * Fixed many portability bugs in mkpasswd.
  * Added the .gp TLD server.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Fri, 26 Oct 2018 18:32:49 +0200

## whois 5.4.2~bpo9+1

=== debian/changelog ===
whois (5.4.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Mar 2019 00:58:06 +0100

whois (5.4.2) unstable; urgency=medium

  * Added the .ss and .xn--mgbah1a3hjkrd (موريتانيا, Mauritania) TLD
    servers.
  * Updated the .in TLD and related IDN TLDs servers.
  * Updated the .fm TLD server.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Mar 2019 00:48:28 +0100

whois (5.3.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jul 2018 13:24:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 9), gettext, libidn2-dev (>= 2.0.3)
+Build-Depends: debhelper (>= 9), gettext, libidn11-dev
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

-include /usr/share/dpkg/architecture.mk
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

D := $(CURDIR)/debian/whois

build:
	dh_testdir
	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_ICONV=1
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) distclean
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs usr/bin
	$(MAKE) install BASEDIR=$D
	dh_installman whois.1 mkpasswd.1
	dh_installdocs README
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

binary-indep:

build-arch: build
build-indep: build

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean

## whois 5.4.3

=== debian/changelog ===
whois (5.4.3) unstable; urgency=medium

  * Added the new 2a10:0000::/12 IPv6 assignment to RIPE.

 -- Marco d'Itri <md@linux.it>  Wed, 12 Jun 2019 15:03:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 4.3.0.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 9), gettext, libidn11-dev
+Build-Depends: debhelper (>= 9), gettext, libidn2-dev (>= 2.0.3)
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

## whois 5.5.0

=== debian/changelog ===
whois (5.5.0) unstable; urgency=medium

  * Implemented the -I option to query whois.iana.org and use its referrals.
    (Closes: #774603)
  * Updated one or more translations. (Closes: #931336, #931244)
  * Automatically generate the version string sent to servers because I
    kept forgetting to update it with new releases.
  * Updated the .zm TLD server.
  * Added new recovered IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Fri, 19 Jul 2019 11:31:42 +0200

## whois 5.5.1

=== debian/changelog ===
whois (5.5.1) unstable; urgency=medium

  * Updated the .ge TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Sun, 18 Aug 2019 19:47:55 +0200

## whois 5.5.2

=== debian/changelog ===
whois (5.5.2) unstable; urgency=medium

  * Added the .xn--qxa6a (.ευ, European Union, Greek) TLD server.
  * Updated the .td TLD server.
  * Updated one or more translations.

 -- Marco d'Itri <md@linux.it>  Wed, 02 Oct 2019 23:44:49 +0200

## whois 5.5.3

=== debian/changelog ===
whois (5.5.3) unstable; urgency=medium

  * Added the new 2630:0000::/12 IPv6 assignment to ARIN.
  * Updated the .xxx TLD server.
  * Updated the list of new gTLDs.
  * Converted the Debian packaging to dh.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Nov 2019 21:33:50 +0100

## whois 5.5.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 prefix = /usr
+
+ifdef DESTDIR
+BASEDIR := $(DESTDIR)
+endif
 
 CFLAGS ?= -g -O2
 
@@ -51,14 +55,17 @@
 DEFS += -DHAVE_ICONV
 endif
 
-ifdef HAVE_XCRYPT
+ifeq ($(shell $(PKG_CONFIG) --exists 'libxcrypt >= 4.1' || echo NO),)
+DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT $(shell $(PKG_CONFIG) --cflags libcrypt)
+mkpasswd_LDADD += $(shell $(PKG_CONFIG) --libs libcrypt)
+else ifdef HAVE_XCRYPT
+DEFS += -DHAVE_XCRYPT_H -DHAVE_LINUX_CRYPT_GENSALT
 mkpasswd_LDADD += -lxcrypt
-DEFS += -DHAVE_XCRYPT -DHAVE_LINUX_CRYPT_GENSALT
+else ifdef HAVE_LIBOWCRYPT
+# owl and openSUSE have crypt_gensalt(3) in libowcrypt
+DEFS += -DHAVE_CRYPT_H -DHAVE_LINUX_CRYPT_GENSALT -D_OW_SOURCE
+mkpasswd_LDADD += -lcrypt -lowcrypt
 else
-ifdef HAVE_LINUX_CRYPT_GENSALT
-# owl and openSUSE have crypt_gensalt(3) in the libc's libcrypt
-DEFS += -DHAVE_LINUX_CRYPT_GENSALT
-endif
 mkpasswd_LDADD += -lcrypt
 endif

=== debian/changelog ===
whois (5.5.6) unstable; urgency=medium

  * Depend on pkg-config, or else the package will be built without libidn
    and libxcrypt. (Closes: #950140)
  * Added the .xn--q7ce6a (.ລາວ, Lao) TLD server.
  * Added the .xn--pgbs0dh (.البحرين, Bahrain) domain.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2020 10:25:51 +0100

whois (5.5.5) unstable; urgency=medium

  * Fixed the hide string for .sx, which broke many others.
  * Fixed cross-compilation. (Closes: #947971)

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2020 09:55:48 +0100

whois (5.5.4) unstable; urgency=medium

  * Updated the .vu TLD server.
  * Updated the list of new gTLDs.
  * Added the charset for whois.ripe.net.
  * Added support for the referrals in answers from whois.registry.in.
  * Implemented support for passing raw $salts$.
  * Fixed and updated many hiding string.
  * Cleaned up the text and typesetting of the man pages. (Closes: #945622)

 -- Marco d'Itri <md@linux.it>  Tue, 31 Dec 2019 03:04:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 4.3.0.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 9), gettext, libidn2-dev (>= 2.0.3)
+Build-Depends: debhelper (>= 10), gettext, pkg-config, libidn2-dev (>= 2.0.3)
 Vcs-Git: git://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CONFIG_FILE="/etc/whois.conf" HAVE_ICONV=1

## whois 5.5.7

=== debian/changelog ===
whois (5.5.7) unstable; urgency=medium

  * Implemented support for CIDR queries to whois.arin.net.
    The old behaviour caused the server to return no results, now when
    querying for ip/length the server returns a result if there is an
    exact match.
  * Added the .ao, .bh, .mm, and .xn--pgbs0dh (.تونس, Tunisia) TLD servers.
  * Added some .ru and .su SLD servers.
  * Updated the .th and .xn--o3cw4h TLD servers.
  * Updated the .cy, .jo, .lb, .np, .xn--mgbayh7gpa and .xn--qxam TLD URLs.
  * Updated the charset for whois.ati.tn.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Oct 2020 17:43:06 +0200

## whois 5.5.10

=== debian/changelog ===
whois (5.5.10) unstable; urgency=medium

  * Updated the .lb TLD server.
  * Removed 5 new gTLDs which are no longer active.
  * Updated the charset for whois.lacnic.net, whois.ax, whois.cira.ca
    and whois.dns.pt.
  * Fixed reporting an older version number when using --version.

 -- Marco d'Itri <md@linux.it>  Sun, 06 Jun 2021 19:54:13 +0200

whois (5.5.9) unstable; urgency=medium

  * Updated the .ga TLD server.
  * Removed the .cd and cf TLD servers.
  * Removed 72 new gTLDs which are no longer active.

 -- Marco d'Itri <md@linux.it>  Sun, 28 Mar 2021 00:38:20 +0100

whois (5.5.8) unstable; urgency=medium

  * Added the .xn--4dbrk0ce (.ישראל, Israel) TLD server.
  * Updated the .ie and .az TLD servers.
  * Updated the list of new gTLDs.

 -- Marco d'Itri <md@linux.it>  Tue, 16 Feb 2021 01:53:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.3.0.1
+Standards-Version: 4.5.0.3
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10), gettext, pkg-config, libidn2-dev (>= 2.0.3)
-Vcs-Git: git://github.com/rfc1036/whois.git
+Vcs-Git: https://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois
 
 Package: whois

## whois 5.5.10ubuntu1

=== debian/changelog ===
whois (5.5.10ubuntu1) impish; urgency=medium

  * make_version_h.pl: Also remove buildN suffix from the version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 13:49:35 +0200

whois (5.5.10build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:24 +0200

## whois 5.5.12

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 4.5.0.3
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10), gettext, pkg-config, libidn2-dev (>= 2.0.3)
 Vcs-Git: https://github.com/rfc1036/whois.git

## whois 5.5.13

=== Makefile ===
--- 
+++ 
@@ -141,7 +141,7 @@
 	cd po && $(MAKE) install
 
 distclean: clean
-	rm -f po/whois.pot
+	rm -f version.h po/whois.pot
 
 clean:
 	rm -f Makefile.depend as_del.h as32_del.h ip_del.h ip6_del.h \

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 prefix = /usr
+
+ifdef DESTDIR
+BASEDIR := $(DESTDIR)
+endif
 
 INSTALL= install
 
@@ -6,7 +10,7 @@
 
 PACKAGE = whois
 
-CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo nb.mo pl.mo pt_BR.mo ru.mo zh_CN.mo
+CATALOGS = cs.mo da.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo pl.mo pt_BR.mo ru.mo tr.mo zh_CN.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (5.5.13) unstable; urgency=medium

  * Added the .sd TLD server.
  * Updated the list of new gTLDs.
  * Added the Turkish translation, contributed by Oğuz Ersen.

 -- Marco d'Itri <md@linux.it>  Fri, 08 Apr 2022 01:08:55 +0200

whois (5.5.12) unstable; urgency=medium

  * Updated the .pro TLD server, which was totally broken.
  * Fixed the detection of Japanese locales using $LC_MESSAGES.
  * Implemented providing partial salt strings to mkpasswd.
  * Removed 2 new gTLDs which are no longer active.
  * Updated one or more translations. (Closes: #1003597)
  * Enabled full hardening in debian/rules.

 -- Marco d'Itri <md@linux.it>  Wed, 23 Feb 2022 01:03:11 +0100

whois (5.5.11) unstable; urgency=medium

  * Implemented a --no-recursion command line option to disable recursion
    from registrar to registry servers.
  * Updated the .pro, .vu and .xxx TLD servers.
  * Updated the list of new gTLDs.
  * Removed 7 new gTLDs which are no longer active.
  * Updated make_version_h.pl to support Ubuntu no-change uploads,
    contributed by Matthias Klose. (Closes: #995873)

 -- Marco d'Itri <md@linux.it>  Mon, 03 Jan 2022 18:18:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10), gettext, pkg-config, libidn2-dev (>= 2.0.3)
+Build-Depends: debhelper-compat (= 12), gettext, pkg-config,
+ libidn2-dev (>= 2.0.3),
 Vcs-Git: https://github.com/rfc1036/whois.git
 Vcs-Browser: https://github.com/rfc1036/whois

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
